const pmx = require('pmx');
const App = require('./src/App');

process.env.DEBUG = '*';

pmx.initModule({}, function (err, conf) {
  const app = new App(conf);

  // run the web server for service request
  app.start();

  pmx.action('reload', function (reply) {
    app.reload();
    return reply('Reloaded');
  });
});